- add build option for disabling repomd support to enable building
authorpmatilai <pmatilai>
Thu, 3 Aug 2006 19:16:58 +0000 (19:16 +0000)
committerpmatilai <pmatilai>
Thu, 3 Aug 2006 19:16:58 +0000 (19:16 +0000)
  without libxml2 >= 2.6.0

21 files changed:
Makefile.in
apt-pkg/Makefile.in
apt-pkg/rpm/repomd.cc
apt-pkg/rpm/repomd.h
apt-pkg/rpm/rpmhandler.cc
apt-pkg/rpm/rpmhandler.h
apt-pkg/rpm/rpmindexfile.cc
apt-pkg/rpm/rpmindexfile.h
apt-pkg/rpm/rpmlistparser.cc
apt-pkg/rpm/rpmlistparser.h
apt-pkg/rpm/rpmrecords.cc
apt-pkg/rpm/rpmsrcrecords.cc
buildlib/config.h.in
cmdline/Makefile.in
configure
configure.ac
doc/Makefile.in
lua/Makefile.in
methods/Makefile.in
test/Makefile.in
tools/Makefile.in

index 10518bc..ca7518e 100644 (file)
@@ -201,6 +201,8 @@ USE_NLS = @USE_NLS@
 VERSION = @VERSION@
 WITH_LUA_FALSE = @WITH_LUA_FALSE@
 WITH_LUA_TRUE = @WITH_LUA_TRUE@
+WITH_REPOMD_FALSE = @WITH_REPOMD_FALSE@
+WITH_REPOMD_TRUE = @WITH_REPOMD_TRUE@
 WITH_SELINUX_FALSE = @WITH_SELINUX_FALSE@
 WITH_SELINUX_TRUE = @WITH_SELINUX_TRUE@
 XGETTEXT = @XGETTEXT@
index be02646..882a1af 100644 (file)
@@ -192,6 +192,8 @@ USE_NLS = @USE_NLS@
 VERSION = @VERSION@
 WITH_LUA_FALSE = @WITH_LUA_FALSE@
 WITH_LUA_TRUE = @WITH_LUA_TRUE@
+WITH_REPOMD_FALSE = @WITH_REPOMD_FALSE@
+WITH_REPOMD_TRUE = @WITH_REPOMD_TRUE@
 WITH_SELINUX_FALSE = @WITH_SELINUX_FALSE@
 WITH_SELINUX_TRUE = @WITH_SELINUX_TRUE@
 XGETTEXT = @XGETTEXT@
index 939e065..50c7bfe 100644 (file)
 #pragma implementation "apt-pkg/repomd.h"
 #endif
 
+#include <config.h>
+
+#ifdef WITH_REPOMD
+
 #include <iostream>
 #include <apt-pkg/repomd.h>
 #include <apt-pkg/error.h>
@@ -93,4 +97,6 @@ bool repomdRepository::ParseRelease(string File)
    return true;
 }
 
+#endif /* WITH_REPOMD */
+
 // vim:sts=3:sw=3
index b1a1d22..399bbf9 100644 (file)
@@ -7,9 +7,12 @@
 #pragma interface "apt-pkg/repomd.h"
 #endif
 
+#include <apt-pkg/repository.h>
+
+#ifdef WITH_REPOMD
+
 #include <libxml/parser.h>
 #include <libxml/tree.h>
-#include <apt-pkg/repository.h>
 
 using namespace std;
 
@@ -34,8 +37,11 @@ class repomdRepository : public pkgRepository
       GotRelease = true;
    };
 
+   virtual ~repomdRepository() {};
 };
 
+#endif /* WITH_REPOMD */
+
 #endif
 
 // vim:sts=3:sw=3
index 3901731..c0c1411 100644 (file)
 
 #include <apt-pkg/rpmhandler.h>
 #include <apt-pkg/rpmpackagedata.h>
+
+#ifdef WITH_REPOMD
 #include <libxml/parser.h>
 #include <libxml/tree.h>
 #include <libxml/xmlreader.h>
+#endif
 
 #include <apti18n.h>
 
@@ -897,6 +900,7 @@ void RPMDBHandler::Rewind()
 }
 #endif
 
+#ifdef WITH_REPOMD
 RPMRepomdHandler::RPMRepomdHandler(string File)
 {
    PrimaryFile = File;
@@ -1416,6 +1420,7 @@ RPMRepomdFLHandler::~RPMRepomdFLHandler()
 {
    xmlFreeTextReader(Filelist);
 }
+#endif /* WITH_REPOMD */
 
 
 // vim:sts=3:sw=3
index 48650ac..8fae5bd 100644 (file)
 #define PKGLIB_RPMHANDLER_H
 
 #include <apt-pkg/fileutl.h>
+
+#ifdef WITH_REPOMD
 #include <libxml/parser.h>
 #include <libxml/tree.h>
 #include <libxml/xmlreader.h>
+#endif
 
 #include <rpm/rpmlib.h>
 #include <rpm/rpmmacro.h>
@@ -220,6 +223,7 @@ class RPMDirHandler : public RPMHandler
    virtual ~RPMDirHandler();
 };
 
+#ifdef WITH_REPOMD
 class RPMRepomdHandler : public RPMHandler
 {
 
@@ -309,4 +313,6 @@ class RPMRepomdFLHandler : public RPMHandler
    RPMRepomdFLHandler(string File);
    virtual ~RPMRepomdFLHandler();
 };
+#endif /* WITH_REPOMD */
+
 #endif
index 77f3b5a..c9f3061 100644 (file)
@@ -536,6 +536,7 @@ string rpmSingleSrcIndex::ArchiveURI(string File) const
    return URI;
 }
 
+#ifdef WITH_REPOMD
 string rpmRepomdIndex::ArchiveURI(string File) const
 {
    string Res;
@@ -809,6 +810,7 @@ string rpmRepomdSrcIndex::SourceInfo(pkgSrcRecords::Parser const &Record,
       Res += " (" + File.Type + ")";
    return Res;
 }
+#endif /* WITH_REPOMD */
 
 // DatabaseIndex::rpmDatabaseIndex - Constructor                       /*{{{*/
 // ---------------------------------------------------------------------
@@ -1032,6 +1034,7 @@ class rpmSLTypeSrpmDir : public rpmSLTypeGen
    }   
 };
 
+#ifdef WITH_REPOMD
 class rpmSLTypeRepomd : public rpmSLTypeGen
 {
    public:
@@ -1118,13 +1121,16 @@ class rpmSLTypeRepomdSrc : public rpmSLTypeRepomd
       Label = "RepoMD src tree";
    }   
 };
+#endif /* WITH_REPOMD */
 
 rpmSLTypeRpm _apt_rpmType;
 rpmSLTypeSrpm _apt_rpmSrcType;
 rpmSLTypeRpmDir _apt_rpmDirType;
 rpmSLTypeSrpmDir _apt_rpmSrcDirType;
+#ifdef WITH_REPOMD
 rpmSLTypeRepomd _apt_repomdType;
 rpmSLTypeRepomdSrc _apt_repomdSrcType;
+#endif
                                                                        /*}}}*/
 // Index File types for rpm                                            /*{{{*/
 class rpmIFTypeSrc : public pkgIndexFile::Type
@@ -1185,6 +1191,7 @@ const pkgIndexFile::Type *rpmDatabaseIndex::GetType() const
 {
    return &_apt_DB;
 }
+#ifdef WITH_REPOMD
 const pkgIndexFile::Type *rpmRepomdPkgIndex::GetType() const
 {
    return &_apt_Pkg;
@@ -1193,6 +1200,7 @@ const pkgIndexFile::Type *rpmRepomdSrcIndex::GetType() const
 {
    return &_apt_Src;
 }
+#endif
 
                                                                        /*}}}*/
 #endif /* HAVE_RPM */
index 92f25dc..db69332 100644 (file)
@@ -277,6 +277,7 @@ class rpmSingleSrcIndex : public rpmSrcListIndex
           rpmSrcListIndex("", "", "", NULL), FilePath(File) {};
 };
 
+#ifdef WITH_REPOMD
 class rpmRepomdIndex : public rpmIndexFile
 {
    protected:
@@ -372,4 +373,6 @@ class rpmRepomdSrcIndex : public rpmRepomdIndex
           rpmRepomdIndex(URI,Dist,Section,Repository) {};
 
 };
+#endif /* WITH_REPOMD */
+
 #endif
index a67d9bc..890e591 100644 (file)
@@ -505,6 +505,7 @@ void rpmListParser::VirtualizePackage(string Name)
    FromPkgI->CurrentState = 0;
 }
 
+#ifdef WITH_REPOMD
 xmlNode *rpmRepomdParser::FindNode(xmlNode *n, const string Name)
 {
    for (n = n->children; n; n = n->next) {
@@ -574,6 +575,7 @@ bool rpmRepomdParser::LoadReleaseInfo(pkgCache::PkgFileIterator FileI,
    xmlFreeDoc(RepoMD);
    return true;
 }
+#endif /* WITH_REPOMD */
 
 #endif /* HAVE_RPM */
 
index f2b5880..e20aae7 100644 (file)
 #include <apt-pkg/pkgcachegen.h>
 #include <apt-pkg/rpmhandler.h>
 #include <apt-pkg/rpmmisc.h>
+
+#ifdef WITH_REPOMD
 #include <libxml/parser.h>
 #include <libxml/tree.h>
+#endif
 
 #include <map>
 #include <vector>
@@ -86,6 +89,7 @@ class rpmListParser : public pkgCacheGenerator::ListParser
    ~rpmListParser();
 };
 
+#ifdef WITH_REPOMD
 class rpmRepomdParser : public rpmListParser
 {
    protected:
@@ -103,5 +107,6 @@ class rpmRepomdParser : public rpmListParser
 
    rpmRepomdParser(RPMHandler *Handler) : rpmListParser(Handler) {};
 };
+#endif /* WITH_REPOMD */
 
 #endif
index 461d391..8cc3288 100644 (file)
@@ -43,8 +43,10 @@ rpmRecordParser::rpmRecordParser(string File, pkgCache &Cache)
         Handler = new RPMDirHandler(File);
       else if (flExtension(File) == "rpm")
         Handler = new RPMSingleFileHandler(File);
+#ifdef WITH_REPOMD
       else if (flExtension(File) == "xml")
         Handler = new RPMRepomdHandler(File);
+#endif
       else
         Handler = new RPMFileHandler(File);
    }
index da205bf..0d4080f 100644 (file)
@@ -40,8 +40,10 @@ rpmSrcRecordParser::rpmSrcRecordParser(string File,pkgIndexFile const *Index)
       Handler = new RPMDirHandler(File);
    else if (flExtension(File) == "rpm")
       Handler = new RPMSingleFileHandler(File);
+#ifdef WITH_REPOMD
    else if (flExtension(File) == "xml")
       Handler = new RPMRepomdHandler(File);
+#endif
    else
       Handler = new RPMFileHandler(File);
 }
index a09ec05..6cfddd3 100644 (file)
 /* Define if you want to enable the extension system */
 #undef WITH_LUA
 
+/* Define if you want to enable repomd support */
+#undef WITH_REPOMD
+
 /* Define if you want to enable SELinux support */
 #undef WITH_SELINUX
 
index 8576dd0..f589205 100644 (file)
@@ -222,6 +222,8 @@ USE_NLS = @USE_NLS@
 VERSION = @VERSION@
 WITH_LUA_FALSE = @WITH_LUA_FALSE@
 WITH_LUA_TRUE = @WITH_LUA_TRUE@
+WITH_REPOMD_FALSE = @WITH_REPOMD_FALSE@
+WITH_REPOMD_TRUE = @WITH_REPOMD_TRUE@
 WITH_SELINUX_FALSE = @WITH_SELINUX_FALSE@
 WITH_SELINUX_TRUE = @WITH_SELINUX_TRUE@
 XGETTEXT = @XGETTEXT@
index 5b4cf24..fd1db9c 100755 (executable)
--- a/configure
+++ b/configure
@@ -465,7 +465,7 @@ ac_includes_default="\
 # include <unistd.h>
 #endif"
 
-ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE EGREP LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL SOCKETLIBS PTHREADLIB RPM_PATH RPMLIBS PKG_CONFIG ac_pt_PKG_CONFIG LIBXML2_CFLAGS LIBXML2_LIBS WITH_LUA_TRUE WITH_LUA_FALSE WITH_SELINUX_TRUE WITH_SELINUX_FALSE COMPILE_STATIC_TRUE COMPILE_STATIC_FALSE COMPILE_APTSHELL_TRUE COMPILE_APTSHELL_FALSE HAVE_TIMEGM NEED_SOCKLEN_T_DEFINE GPG MKINSTALLDIRS USE_NLS MSGFMT GMSGFMT XGETTEXT MSGMERGE INTL_MACOSX_LIBS LIBICONV LTLIBICONV INTLLIBS LIBINTL LTLIBINTL POSUB GLIBC_VER LIBSTDCPP_VER LIBOBJS LTLIBOBJS'
+ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE EGREP LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL SOCKETLIBS PTHREADLIB RPM_PATH RPMLIBS WITH_LUA_TRUE WITH_LUA_FALSE WITH_SELINUX_TRUE WITH_SELINUX_FALSE PKG_CONFIG ac_pt_PKG_CONFIG LIBXML2_CFLAGS LIBXML2_LIBS WITH_REPOMD_TRUE WITH_REPOMD_FALSE COMPILE_STATIC_TRUE COMPILE_STATIC_FALSE COMPILE_APTSHELL_TRUE COMPILE_APTSHELL_FALSE HAVE_TIMEGM NEED_SOCKLEN_T_DEFINE GPG MKINSTALLDIRS USE_NLS MSGFMT GMSGFMT XGETTEXT MSGMERGE INTL_MACOSX_LIBS LIBICONV LTLIBICONV INTLLIBS LIBINTL LTLIBINTL POSUB GLIBC_VER LIBSTDCPP_VER LIBOBJS LTLIBOBJS'
 ac_subst_files=''
 
 # Initialize some variables set by options.
@@ -1052,6 +1052,7 @@ Optional Features:
   --disable-libtool-lock  avoid locking (might break parallel builds)
   --disable-scripts       disable the lua script extension system
   --disable-selinux       disable SELinux support
+  --disable-repomd        disable repomd support
   --enable-static-progs   build completely static (standalone) binaries
   --disable-nls           do not use Native Language Support
   --disable-rpath         do not hardcode runtime library paths
@@ -3728,7 +3729,7 @@ ia64-*-hpux*)
   ;;
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 3731 "configure"' > conftest.$ac_ext
+  echo '#line 3732 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -5327,7 +5328,7 @@ fi
 
 
 # Provide some information about the compiler.
-echo "$as_me:5330:" \
+echo "$as_me:5331:" \
      "checking for Fortran 77 compiler version" >&5
 ac_compiler=`set X $ac_compile; echo $2`
 { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
@@ -6390,11 +6391,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:6393: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:6394: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:6397: \$? = $ac_status" >&5
+   echo "$as_me:6398: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -6658,11 +6659,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:6661: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:6662: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:6665: \$? = $ac_status" >&5
+   echo "$as_me:6666: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -6762,11 +6763,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:6765: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:6766: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:6769: \$? = $ac_status" >&5
+   echo "$as_me:6770: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -8231,7 +8232,7 @@ linux*)
   libsuff=
   case "$host_cpu" in
   x86_64*|s390x*|powerpc64*)
-    echo '#line 8234 "configure"' > conftest.$ac_ext
+    echo '#line 8235 "configure"' > conftest.$ac_ext
     if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -9128,7 +9129,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 9131 "configure"
+#line 9132 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -9228,7 +9229,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 9231 "configure"
+#line 9232 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -11568,11 +11569,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:11571: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:11572: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:11575: \$? = $ac_status" >&5
+   echo "$as_me:11576: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -11672,11 +11673,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:11675: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:11676: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:11679: \$? = $ac_status" >&5
+   echo "$as_me:11680: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -12208,7 +12209,7 @@ linux*)
   libsuff=
   case "$host_cpu" in
   x86_64*|s390x*|powerpc64*)
-    echo '#line 12211 "configure"' > conftest.$ac_ext
+    echo '#line 12212 "configure"' > conftest.$ac_ext
     if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -13263,11 +13264,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:13266: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:13267: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:13270: \$? = $ac_status" >&5
+   echo "$as_me:13271: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -13367,11 +13368,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:13370: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:13371: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:13374: \$? = $ac_status" >&5
+   echo "$as_me:13375: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -14816,7 +14817,7 @@ linux*)
   libsuff=
   case "$host_cpu" in
   x86_64*|s390x*|powerpc64*)
-    echo '#line 14819 "configure"' > conftest.$ac_ext
+    echo '#line 14820 "configure"' > conftest.$ac_ext
     if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -15591,11 +15592,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:15594: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:15595: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:15598: \$? = $ac_status" >&5
+   echo "$as_me:15599: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -15859,11 +15860,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:15862: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:15863: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:15866: \$? = $ac_status" >&5
+   echo "$as_me:15867: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -15963,11 +15964,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:15966: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:15967: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:15970: \$? = $ac_status" >&5
+   echo "$as_me:15971: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -17432,7 +17433,7 @@ linux*)
   libsuff=
   case "$host_cpu" in
   x86_64*|s390x*|powerpc64*)
-    echo '#line 17435 "configure"' > conftest.$ac_ext
+    echo '#line 17436 "configure"' > conftest.$ac_ext
     if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -21310,7 +21311,161 @@ echo "${ECHO_T}$RPMLIBS" >&6
 
 fi
 
-## xmlReadFile is not available before 2.6.0
+
+
+echo "$as_me:$LINENO: checking for g++ hash_map extension" >&5
+echo $ECHO_N "checking for g++ hash_map extension... $ECHO_C" >&6
+ac_ext=cc
+ac_cpp='$CXXCPP $CPPFLAGS'
+ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
+ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
+
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+#include <ext/hash_map>
+using namespace __gnu_cxx;
+
+int
+main ()
+{
+hash_map<char*,hash<char*> > HashMap;
+
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+  (eval $ac_link) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+        { ac_try='test -z "$ac_cxx_werror_flag"
+                        || test ! -s conftest.err'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+        { ac_try='test -s conftest$ac_exeext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  cat >>confdefs.h <<_ACEOF
+#define WITH_GNU_HASH_MAP 1
+_ACEOF
+ echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6
+
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
+fi
+rm -f conftest.err conftest.$ac_objext \
+      conftest$ac_exeext conftest.$ac_ext
+ac_ext=c
+ac_cpp='$CPP $CPPFLAGS'
+ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
+ac_compiler_gnu=$ac_cv_c_compiler_gnu
+
+
+echo "$as_me:$LINENO: checking for --disable-scripts" >&5
+echo $ECHO_N "checking for --disable-scripts... $ECHO_C" >&6
+# Check whether --enable-scripts or --disable-scripts was given.
+if test "${enable_scripts+set}" = set; then
+  enableval="$enable_scripts"
+  enable_scripts="$enableval"
+else
+  enable_scripts="yes"
+fi;
+if test "$enable_scripts" != "no"; then
+  echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
+
+cat >>confdefs.h <<\_ACEOF
+#define WITH_LUA 1
+_ACEOF
+
+else
+  echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6
+fi
+
+
+if test "$enable_scripts" != "no"; then
+  WITH_LUA_TRUE=
+  WITH_LUA_FALSE='#'
+else
+  WITH_LUA_TRUE='#'
+  WITH_LUA_FALSE=
+fi
+
+
+echo "$as_me:$LINENO: checking for --disable-selinux" >&5
+echo $ECHO_N "checking for --disable-selinux... $ECHO_C" >&6
+# Check whether --enable-selinux or --disable-selinux was given.
+if test "${enable_selinux+set}" = set; then
+  enableval="$enable_selinux"
+  enable_selinux="$enableval"
+else
+  enable_selinux="yes"
+fi;
+if test "$enable_selinux" != "no"; then
+  echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
+
+cat >>confdefs.h <<\_ACEOF
+#define WITH_SELINUX 1
+_ACEOF
+
+else
+  echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6
+fi
+
+
+if test "$enable_selinux" != "no"; then
+  WITH_SELINUX_TRUE=
+  WITH_SELINUX_FALSE='#'
+else
+  WITH_SELINUX_TRUE='#'
+  WITH_SELINUX_FALSE=
+fi
+
+
+echo "$as_me:$LINENO: checking for --disable-repomd" >&5
+echo $ECHO_N "checking for --disable-repomd... $ECHO_C" >&6
+# Check whether --enable-repomd or --disable-repomd was given.
+if test "${enable_repomd+set}" = set; then
+  enableval="$enable_repomd"
+  enable_repomd="$enableval"
+else
+  enable_repomd="yes"
+fi;
+if test "$enable_repomd" != "no"; then
+  echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
+
+cat >>confdefs.h <<\_ACEOF
+#define WITH_REPOMD 1
+_ACEOF
+
+      ## xmlReadFile is not available before 2.6.0
 
 
 if test "x$ac_cv_env_PKG_CONFIG_set" != "xset"; then
@@ -21527,143 +21682,20 @@ else
 echo "${ECHO_T}yes" >&6
        :
 fi
-RPMLIBS="$LIBXML2_LIBS $RPMLIBS"
-CPPFLAGS="$LIBXML2_CFLAGS $CPPFLAGS"
-
-
-
-echo "$as_me:$LINENO: checking for g++ hash_map extension" >&5
-echo $ECHO_N "checking for g++ hash_map extension... $ECHO_C" >&6
-ac_ext=cc
-ac_cpp='$CXXCPP $CPPFLAGS'
-ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
-ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
-ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
-
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-
-#include <ext/hash_map>
-using namespace __gnu_cxx;
-
-int
-main ()
-{
-hash_map<char*,hash<char*> > HashMap;
-
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-  (eval $ac_link) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-        { ac_try='test -z "$ac_cxx_werror_flag"
-                        || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-        { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  cat >>confdefs.h <<_ACEOF
-#define WITH_GNU_HASH_MAP 1
-_ACEOF
- echo "$as_me:$LINENO: result: yes" >&5
-echo "${ECHO_T}yes" >&6
-
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
-fi
-rm -f conftest.err conftest.$ac_objext \
-      conftest$ac_exeext conftest.$ac_ext
-ac_ext=c
-ac_cpp='$CPP $CPPFLAGS'
-ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
-ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
-ac_compiler_gnu=$ac_cv_c_compiler_gnu
-
-
-echo "$as_me:$LINENO: checking for --disable-scripts" >&5
-echo $ECHO_N "checking for --disable-scripts... $ECHO_C" >&6
-# Check whether --enable-scripts or --disable-scripts was given.
-if test "${enable_scripts+set}" = set; then
-  enableval="$enable_scripts"
-  enable_scripts="$enableval"
-else
-  enable_scripts="yes"
-fi;
-if test "$enable_scripts" != "no"; then
-  echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
-
-cat >>confdefs.h <<\_ACEOF
-#define WITH_LUA 1
-_ACEOF
-
-else
-  echo "$as_me:$LINENO: result: yes" >&5
-echo "${ECHO_T}yes" >&6
-fi
-
-
-if test "$enable_scripts" != "no"; then
-  WITH_LUA_TRUE=
-  WITH_LUA_FALSE='#'
-else
-  WITH_LUA_TRUE='#'
-  WITH_LUA_FALSE=
-fi
-
-
-echo "$as_me:$LINENO: checking for --disable-selinux" >&5
-echo $ECHO_N "checking for --disable-selinux... $ECHO_C" >&6
-# Check whether --enable-selinux or --disable-selinux was given.
-if test "${enable_selinux+set}" = set; then
-  enableval="$enable_selinux"
-  enable_selinux="$enableval"
-else
-  enable_selinux="yes"
-fi;
-if test "$enable_selinux" != "no"; then
-  echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
-
-cat >>confdefs.h <<\_ACEOF
-#define WITH_SELINUX 1
-_ACEOF
-
+  RPMLIBS="$LIBXML2_LIBS $RPMLIBS"
+  CPPFLAGS="$LIBXML2_CFLAGS $CPPFLAGS"
 else
   echo "$as_me:$LINENO: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 fi
 
 
-if test "$enable_selinux" != "no"; then
-  WITH_SELINUX_TRUE=
-  WITH_SELINUX_FALSE='#'
+if test "$enable_repomd" != "no"; then
+  WITH_REPOMD_TRUE=
+  WITH_REPOMD_FALSE='#'
 else
-  WITH_SELINUX_TRUE='#'
-  WITH_SELINUX_FALSE=
+  WITH_REPOMD_TRUE='#'
+  WITH_REPOMD_FALSE=
 fi
 
 
@@ -26423,6 +26455,13 @@ echo "$as_me: error: conditional \"WITH_SELINUX\" was never defined.
 Usually this means the macro was only invoked conditionally." >&2;}
    { (exit 1); exit 1; }; }
 fi
+if test -z "${WITH_REPOMD_TRUE}" && test -z "${WITH_REPOMD_FALSE}"; then
+  { { echo "$as_me:$LINENO: error: conditional \"WITH_REPOMD\" was never defined.
+Usually this means the macro was only invoked conditionally." >&5
+echo "$as_me: error: conditional \"WITH_REPOMD\" was never defined.
+Usually this means the macro was only invoked conditionally." >&2;}
+   { (exit 1); exit 1; }; }
+fi
 if test -z "${COMPILE_STATIC_TRUE}" && test -z "${COMPILE_STATIC_FALSE}"; then
   { { echo "$as_me:$LINENO: error: conditional \"COMPILE_STATIC\" was never defined.
 Usually this means the macro was only invoked conditionally." >&5
@@ -27065,14 +27104,16 @@ s,@SOCKETLIBS@,$SOCKETLIBS,;t t
 s,@PTHREADLIB@,$PTHREADLIB,;t t
 s,@RPM_PATH@,$RPM_PATH,;t t
 s,@RPMLIBS@,$RPMLIBS,;t t
-s,@PKG_CONFIG@,$PKG_CONFIG,;t t
-s,@ac_pt_PKG_CONFIG@,$ac_pt_PKG_CONFIG,;t t
-s,@LIBXML2_CFLAGS@,$LIBXML2_CFLAGS,;t t
-s,@LIBXML2_LIBS@,$LIBXML2_LIBS,;t t
 s,@WITH_LUA_TRUE@,$WITH_LUA_TRUE,;t t
 s,@WITH_LUA_FALSE@,$WITH_LUA_FALSE,;t t
 s,@WITH_SELINUX_TRUE@,$WITH_SELINUX_TRUE,;t t
 s,@WITH_SELINUX_FALSE@,$WITH_SELINUX_FALSE,;t t
+s,@PKG_CONFIG@,$PKG_CONFIG,;t t
+s,@ac_pt_PKG_CONFIG@,$ac_pt_PKG_CONFIG,;t t
+s,@LIBXML2_CFLAGS@,$LIBXML2_CFLAGS,;t t
+s,@LIBXML2_LIBS@,$LIBXML2_LIBS,;t t
+s,@WITH_REPOMD_TRUE@,$WITH_REPOMD_TRUE,;t t
+s,@WITH_REPOMD_FALSE@,$WITH_REPOMD_FALSE,;t t
 s,@COMPILE_STATIC_TRUE@,$COMPILE_STATIC_TRUE,;t t
 s,@COMPILE_STATIC_FALSE@,$COMPILE_STATIC_FALSE,;t t
 s,@COMPILE_APTSHELL_TRUE@,$COMPILE_APTSHELL_TRUE,;t t
index 64412e6..25a0b8d 100644 (file)
@@ -92,13 +92,6 @@ else
    AC_SUBST(RPMLIBS)
 fi
 
-dnl repomd support needs libxml2, not sure about the minimal version - I've
-dnl only tested it with 2.6.20
-## xmlReadFile is not available before 2.6.0
-PKG_CHECK_MODULES([LIBXML2],[libxml-2.0 >= 2.6])
-RPMLIBS="$LIBXML2_LIBS $RPMLIBS"
-CPPFLAGS="$LIBXML2_CFLAGS $CPPFLAGS"
-
 dnl Can we use g++ hash_map?
 AH_TEMPLATE(WITH_GNU_HASH_MAP,
            [Define to 1 if you want to use the g++ hash_map extension])
@@ -142,6 +135,24 @@ else
 fi
 AM_CONDITIONAL(WITH_SELINUX, test "$enable_selinux" != "no")
 
+dnl Repomd support
+AC_MSG_CHECKING(for --disable-repomd)
+AC_ARG_ENABLE([repomd],
+             AS_HELP_STRING([--disable-repomd],
+                            [disable repomd support]),
+             [enable_repomd="$enableval"],[enable_repomd="yes"])
+if test "$enable_repomd" != "no"; then
+  AC_MSG_RESULT(no)
+  AC_DEFINE(WITH_REPOMD, 1, [Define if you want to enable repomd support]) 
+  ## xmlReadFile is not available before 2.6.0
+  PKG_CHECK_MODULES([LIBXML2],[libxml-2.0 >= 2.6])
+  RPMLIBS="$LIBXML2_LIBS $RPMLIBS"
+  CPPFLAGS="$LIBXML2_CFLAGS $CPPFLAGS"
+else
+  AC_MSG_RESULT(yes)
+fi
+AM_CONDITIONAL(WITH_REPOMD, test "$enable_repomd" != "no")
+
 dnl Before configuring libtool check for --enable-static-progs option
 AC_MSG_CHECKING(for --enable-static-progs)
 AC_ARG_ENABLE(static-progs,
index 4bccbf6..4c17fd0 100644 (file)
@@ -144,6 +144,8 @@ USE_NLS = @USE_NLS@
 VERSION = @VERSION@
 WITH_LUA_FALSE = @WITH_LUA_FALSE@
 WITH_LUA_TRUE = @WITH_LUA_TRUE@
+WITH_REPOMD_FALSE = @WITH_REPOMD_FALSE@
+WITH_REPOMD_TRUE = @WITH_REPOMD_TRUE@
 WITH_SELINUX_FALSE = @WITH_SELINUX_FALSE@
 WITH_SELINUX_TRUE = @WITH_SELINUX_TRUE@
 XGETTEXT = @XGETTEXT@
index d023b15..168c846 100644 (file)
@@ -183,6 +183,8 @@ USE_NLS = @USE_NLS@
 VERSION = @VERSION@
 WITH_LUA_FALSE = @WITH_LUA_FALSE@
 WITH_LUA_TRUE = @WITH_LUA_TRUE@
+WITH_REPOMD_FALSE = @WITH_REPOMD_FALSE@
+WITH_REPOMD_TRUE = @WITH_REPOMD_TRUE@
 WITH_SELINUX_FALSE = @WITH_SELINUX_FALSE@
 WITH_SELINUX_TRUE = @WITH_SELINUX_TRUE@
 XGETTEXT = @XGETTEXT@
index deedd0e..bc3ea47 100644 (file)
@@ -212,6 +212,8 @@ USE_NLS = @USE_NLS@
 VERSION = @VERSION@
 WITH_LUA_FALSE = @WITH_LUA_FALSE@
 WITH_LUA_TRUE = @WITH_LUA_TRUE@
+WITH_REPOMD_FALSE = @WITH_REPOMD_FALSE@
+WITH_REPOMD_TRUE = @WITH_REPOMD_TRUE@
 WITH_SELINUX_FALSE = @WITH_SELINUX_FALSE@
 WITH_SELINUX_TRUE = @WITH_SELINUX_TRUE@
 XGETTEXT = @XGETTEXT@
index 2a6f9cb..756a0ff 100644 (file)
@@ -179,6 +179,8 @@ USE_NLS = @USE_NLS@
 VERSION = @VERSION@
 WITH_LUA_FALSE = @WITH_LUA_FALSE@
 WITH_LUA_TRUE = @WITH_LUA_TRUE@
+WITH_REPOMD_FALSE = @WITH_REPOMD_FALSE@
+WITH_REPOMD_TRUE = @WITH_REPOMD_TRUE@
 WITH_SELINUX_FALSE = @WITH_SELINUX_FALSE@
 WITH_SELINUX_TRUE = @WITH_SELINUX_TRUE@
 XGETTEXT = @XGETTEXT@
index d32cd72..275ff11 100644 (file)
@@ -186,6 +186,8 @@ USE_NLS = @USE_NLS@
 VERSION = @VERSION@
 WITH_LUA_FALSE = @WITH_LUA_FALSE@
 WITH_LUA_TRUE = @WITH_LUA_TRUE@
+WITH_REPOMD_FALSE = @WITH_REPOMD_FALSE@
+WITH_REPOMD_TRUE = @WITH_REPOMD_TRUE@
 WITH_SELINUX_FALSE = @WITH_SELINUX_FALSE@
 WITH_SELINUX_TRUE = @WITH_SELINUX_TRUE@
 XGETTEXT = @XGETTEXT@